SEARCHOUTPUTCCT(3)

NAME
searchOuputCct - searches for the BDD associated to an output

SYNOPSYS
#include "logmmm.h"
pNode searchOuputCct(pC,name)
pCircuit pC;
char *name;

PARAMETERS

pC  Circuit

name
    name to look for

DESCRIPTION
searchOuputCct() searches for the BDD asociated to name. This function returns NULL if the BDD doesn't exist.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pCircuit pC;
chain_list *expr;
initializeBdd(SMALL_BDD);
pC = initializeCct("circuit 1",10,10);
addInputCct(pC,"a");
addInputCct(pC,"b");
	/* let's suppose that expr = (OR a b) */
addOuputCct(pC,"s",ablToBddCct(pC,expr));
res = searchOutputCct(pC,"s");
displayBdd(res,0);
/* it will display
@res	LOW = @nodeA	HIGH = ONE
*/
destroyCct(pC);
destroyBdd(1);

SEE ALSO
log(1), bdd(1), searchOutputCct(3), searchInputCct(3), addOutputCct(3).